#! /usr/bin/env sh

# Copyright 2017 Jose Nelson Amaral
# Copyright 2017 Elliot Colp
# Copyright 2017 Erick Ochoa Lopez
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# 
# 1. Redistributions of source code must retain the above copyright notice, this
# list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
# 
# 3. Neither the name of the copyright holder nor the names of its contributors
# may be used to endorse or promote products derived from this software without
# specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

workloads=(\
# 19x19 -- mean length: 215; std. dev.: 68
"-n long-19 -c 6 -r 170 200 -b 19 -s 14151" \
"-n medium-19 -c 6 -r 90 120 -b 19 -s 14152" \
"-n short-19 -c 6 -r 15 40 -b 19 -s 14153" \

# 13x13 -- mean length: 102; std. dev.: 32
"-n long-13 -c 6 -r 70 90 -b 13 -s 14154" \
"-n medium-13 -c 6 -r 40 60 -b 13 -s 14155" \
"-n short-13 -c 6 -r 10 30 -b 13 -s 99999" \

# 9x9 -- mean length: 51; std. dev.: 16
"-n long-9 -c 6 -r 30 45 -b 9 -s 14157" \
"-n medium-9 -c 6 -r 15 30 -b 9 -s 14158" \
"-n short-9 -c 6 -r 5 15 -b 9 -s 14159" \
)

for args in "${workloads[@]}"
do
    todo='./gen-input.py '$args' '$1

    echo $todo
    $todo
done
